# $Revision: 1.12 $, $Date: 2002/10/23 07:30:49 $
Summary:	A collection of SNMP command line management tools
Summary(pl):	Zestaw narzdzi SNMP do monitorowania i zarzdzania
Name:		scli
Version:	0.2.12
Release:	3
License:	GPL v2+
Group:		Applications/System
Source0:	ftp://ftp.ibr.cs.tu-bs.de/local/scli/%{name}-%{version}.tar.gz
Patch0:		%{name}.patch
URL:		http://www.ibr.cs.tu-bs.de/projects/scli/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel >= 1.2 
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The scli package contains small and efficient command line utilities
to monitor and configure network devices and host systems. It is based
on the Simple Network Management Protocol (SNMP).

%description -l pl
scli jest narzdziem sucym do do monitorowania i konfiguracji
urzdze sieciowych i systemw operacyjnych przy pomocy protokolu
SNMP.

%prep
%setup -q 
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
CPPFLAGS="-I%{_includedir}/ncurses"
export CPPFLAGS
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files 
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_infodir}/scli.info*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: scli.spec,v $
Revision 1.12  2002/10/23 07:30:49  qboosh
- removed info/dir.gz from package, release 3, STBR

Revision 1.11  2002/10/08 13:10:06  qboosh
- BR: autoconf,automake

Revision 1.10  2002/10/03 09:24:41  qboosh
- License is GPL v2+, release 2

Revision 1.9  2002/09/03 00:36:02  kloczek
- updated to 0.2.12: few new commands and few small bugs fixed,
- remove included now ac_fixes patch and added new patch with next bunch
  small fixes (patch posted to maintainer),
- regenerate info index in %post/%postun.

Revision 1.8  2002/08/30 14:00:50  kloczek
- updated to 0.2.11,
- added ac_fixes patch (posted to maintainer),
- fix License (GPL v2) and use new %doc.

Revision 1.7  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/26 15:00:52  qboosh
- adapterized, fixed buildreqs, gzip doc; release 2

Revision 1.4  2001/10/26 17:34:28  ziembor
CPPFLAGS="-I%{_includedir}/ncurses" for including curses library

Revision 1.3  2001/10/26 16:56:37  ziembor
BuildPrereq:    glib >= 1.2
BuildPrereq:    libxml2 >= 2.0
BuildPrereq:    ncurses-devel >= 5.0

Revision 1.2  2001/10/26 16:52:17  ziembor
- conditional moving man to {_mandir}
- fixet charset of polish translation to ISO-8859-2
- configure don't check ncurses-devel availabity:
make[2]: Entering directory `/home/builder/rpm/BUILD/scli-0.2.3/scli'
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../stub -I../proc -I../snmp -I/usr/include/glib-1.2 -I/usr/lib/glib/include  -I/usr/include/libxml2/libxml -I/usr/include/libxml2    -g -c scli.c
In file included from scli.c:26:
scli.h:45:20: curses.h: No such file or directory

Revision 1.1  2001/10/26 15:08:04  ziembor
- imported from src.rpm from original site
- Polish summary
- adapterized

Based on spec by Oliver Wellnitz <oliver@escape.de>.
